Amazon Linux 2023 : protobuf, protobuf-compiler, protobuf-devel (ALAS2023-2023-009)

medium Nessus Plugin ID 173092

Synopsis

The remote Amazon Linux 2023 host is missing a security update.

Description

It is, therefore, affected by a vulnerability as referenced in the ALAS2023-2023-009 advisory.

- Nullptr dereference when a null char is present in a proto symbol. The symbol is parsed incorrectly, leading to an unchecked call into the proto file's name during generation of the resulting error message.
Since the symbol is incorrectly parsed, the file is nullptr. We recommend upgrading to version 3.15.0 or greater. (CVE-2021-22570)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Run 'dnf update protobuf --releasever=2023.0.20230222 ' to update your system.

See Also

https://alas.aws.amazon.com/cve/html/CVE-2021-22570.html

https://alas.aws.amazon.com/faqs.html

https://alas.aws.amazon.com/AL2023/ALAS-2023-009.html

Plugin Details

Severity: Medium

ID: 173092

File Name: al2023_ALAS2023-2023-009.nasl

Version: 1.0

Type: local

Agent: unix

Published: 3/21/2023

Updated: 3/21/2023

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent, Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 4.4

CVSS v2

Risk Factor: Low

Base Score: 2.1

Temporal Score: 1.6

Vector: CVSS2#AV:L/AC:L/Au:N/C:N/I:N/A:P

CVSS Score Source: CVE-2021-22570

CVSS v3

Risk Factor: Medium

Base Score: 5.5

Temporal Score: 4.8

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:amazon:linux:protobuf, p-cpe:/a:amazon:linux:protobuf-compiler, p-cpe:/a:amazon:linux:protobuf-compiler-debuginfo, p-cpe:/a:amazon:linux:protobuf-debuginfo, p-cpe:/a:amazon:linux:protobuf-debugsource, p-cpe:/a:amazon:linux:protobuf-devel, p-cpe:/a:amazon:linux:protobuf-emacs, p-cpe:/a:amazon:linux:protobuf-lite, p-cpe:/a:amazon:linux:protobuf-lite-debuginfo, p-cpe:/a:amazon:linux:protobuf-lite-devel, p-cpe:/a:amazon:linux:protobuf-lite-static, p-cpe:/a:amazon:linux:protobuf-static, p-cpe:/a:amazon:linux:protobuf-vim, p-cpe:/a:amazon:linux:python3-protobuf, cpe:/o:amazon:linux:2023

Required KB Items: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 2/17/2023

Vulnerability Publication Date: 1/26/2022

Reference Information

CVE: CVE-2021-22570